.col,
[class*='col-'] {
  padding-left: calc(var(--grid-gutter) * 0.5);
  padding-right: calc(var(--grid-gutter) * 0.5);
  width: 100%;
}
.col {
  flex: 1 0 0%;
  min-width: 8.3333333333%;
}
.col-auto {
  flex: 0 0 auto;
  width: auto;
}
.col-1 {
  flex-basis: 8.3333333333%;
  max-width: 8.3333333333%;
}
.col-2 {
  flex-basis: 16.6666666667%;
  max-width: 16.6666666667%;
}
.col-3 {
  flex-basis: 25%;
  max-width: 25%;
}
.col-4 {
  flex-basis: 33.3333333333%;
  max-width: 33.3333333333%;
}
.col-5 {
  flex-basis: 41.6666666667%;
  max-width: 41.6666666667%;
}
.col-6 {
  flex-basis: 50%;
  max-width: 50%;
}
.col-7 {
  flex-basis: 58.3333333333%;
  max-width: 58.3333333333%;
}
.col-8 {
  flex-basis: 66.6666666667%;
  max-width: 66.6666666667%;
}
.col-9 {
  flex-basis: 75%;
  max-width: 75%;
}
.col-10 {
  flex-basis: 83.3333333333%;
  max-width: 83.3333333333%;
}
.col-11 {
  flex-basis: 91.6666666667%;
  max-width: 91.6666666667%;
}
.col-12 {
  flex-basis: 100%;
  max-width: 100%;
}
.container,
.container-fluid,
.container-sm,
.container-md,
.container-lg,
.container-xl {
  --grid-margin: var(--grid-portrait-margin);
  --grid-maxwidth: var(--grid-portrait-maxwidth);
  margin-left: auto;
  margin-right: auto;
  max-width: var(--grid-maxwidth);
  padding-left: var(--grid-margin);
  padding-right: var(--grid-margin);
  width: 100%;
}
.row {
  --grid-gutter: var(--grid-portrait-gutter);
  display: flex;
  flex-wrap: wrap;
  margin-left: calc(var(--grid-gutter) * -0.5);
  margin-right: calc(var(--grid-gutter) * -0.5);
}

@media (min-width: 576px) {
  .container,
  .container-sm,
  .container-md,
  .container-lg,
  .container-xl,
  .container-fluid {
    --grid-margin: var(--grid-tablet-margin);
  }
  .row {
    --grid-gutter: var(--grid-tablet-gutter);
  }
  .container,
  .container-sm {
    --grid-maxwidth: calc(var(--grid-breakpoint-sm) - var(--grid-tablet-margin));
  }
  .col-sm {
    flex: 1 0 0%;
    min-width: 8.3333333333%;
  }
  .col-sm-auto {
    flex: 0 0 auto;
    width: auto;
  }
  .col-sm-1 {
    flex-basis: 8.3333333333%;
    max-width: 8.3333333333%;
  }
  .col-sm-2 {
    flex-basis: 16.6666666667%;
    max-width: 16.6666666667%;
  }
  .col-sm-3 {
    flex-basis: 25%;
    max-width: 25%;
  }
  .col-sm-4 {
    flex-basis: 33.3333333333%;
    max-width: 33.3333333333%;
  }
  .col-sm-5 {
    flex-basis: 41.6666666667%;
    max-width: 41.6666666667%;
  }
  .col-sm-6 {
    flex-basis: 50%;
    max-width: 50%;
  }
  .col-sm-7 {
    flex-basis: 58.3333333333%;
    max-width: 58.3333333333%;
  }
  .col-sm-8 {
    flex-basis: 66.6666666667%;
    max-width: 66.6666666667%;
  }
  .col-sm-9 {
    flex-basis: 75%;
    max-width: 75%;
  }
  .col-sm-10 {
    flex-basis: 83.3333333333%;
    max-width: 83.3333333333%;
  }
  .col-sm-11 {
    flex-basis: 91.6666666667%;
    max-width: 91.6666666667%;
  }
  .col-sm-12 {
    flex-basis: 100%;
    max-width: 100%;
  }
}
@media (min-width: 992px) {
  .container,
  .container-sm,
  .container-md,
  .container-lg,
  .container-xl,
  .container-fluid {
    --grid-margin: var(--grid-tablet-margin);
  }
  .row {
    --grid-gutter: var(--grid-tablet-gutter);
  }
  .container,
  .container-sm,
  .container-md {
    --grid-maxwidth: calc(var(--grid-breakpoint-md) - var(--grid-tablet-margin));
  }
  .col-md {
    flex: 1 0 0%;
    min-width: 8.3333333333%;
  }
  .col-md-auto {
    flex: 0 0 auto;
    width: auto;
  }
  .col-md-1 {
    flex-basis: 8.3333333333%;
    max-width: 8.3333333333%;
  }
  .col-md-2 {
    flex-basis: 16.6666666667%;
    max-width: 16.6666666667%;
  }
  .col-md-3 {
    flex-basis: 25%;
    max-width: 25%;
  }
  .col-md-4 {
    flex-basis: 33.3333333333%;
    max-width: 33.3333333333%;
  }
  .col-md-5 {
    flex-basis: 41.6666666667%;
    max-width: 41.6666666667%;
  }
  .col-md-6 {
    flex-basis: 50%;
    max-width: 50%;
  }
  .col-md-7 {
    flex-basis: 58.3333333333%;
    max-width: 58.3333333333%;
  }
  .col-md-8 {
    flex-basis: 66.6666666667%;
    max-width: 66.6666666667%;
  }
  .col-md-9 {
    flex-basis: 75%;
    max-width: 75%;
  }
  .col-md-10 {
    flex-basis: 83.3333333333%;
    max-width: 83.3333333333%;
  }
  .col-md-11 {
    flex-basis: 91.6666666667%;
    max-width: 91.6666666667%;
  }
  .col-md-12 {
    flex-basis: 100%;
    max-width: 100%;
  }
}
@media (min-width: 1280px) {
  .container,
  .container-sm,
  .container-md,
  .container-lg,
  .container-xl,
  .container-fluid {
    --grid-margin: var(--grid-desktop-margin);
  }
  .row {
    --grid-gutter: var(--grid-desktop-gutter);
  }
  .container,
  .container-sm,
  .container-md,
  .container-lg {
    --grid-maxwidth: calc(var(--grid-breakpoint-lg) - var(--grid-desktop-margin));
  }
  .col-lg {
    flex: 1 0 0%;
    min-width: 8.3333333333%;
  }
  .col-lg-auto {
    flex: 0 0 auto;
    width: auto;
  }
  .col-lg-1 {
    flex-basis: 8.3333333333%;
    max-width: 8.3333333333%;
  }
  .col-lg-2 {
    flex-basis: 16.6666666667%;
    max-width: 16.6666666667%;
  }
  .col-lg-3 {
    flex-basis: 25%;
    max-width: 25%;
  }
  .col-lg-4 {
    flex-basis: 33.3333333333%;
    max-width: 33.3333333333%;
  }
  .col-lg-5 {
    flex-basis: 41.6666666667%;
    max-width: 41.6666666667%;
  }
  .col-lg-6 {
    flex-basis: 50%;
    max-width: 50%;
  }
  .col-lg-7 {
    flex-basis: 58.3333333333%;
    max-width: 58.3333333333%;
  }
  .col-lg-8 {
    flex-basis: 66.6666666667%;
    max-width: 66.6666666667%;
  }
  .col-lg-9 {
    flex-basis: 75%;
    max-width: 75%;
  }
  .col-lg-10 {
    flex-basis: 83.3333333333%;
    max-width: 83.3333333333%;
  }
  .col-lg-11 {
    flex-basis: 91.6666666667%;
    max-width: 91.6666666667%;
  }
  .col-lg-12 {
    flex-basis: 100%;
    max-width: 100%;
  }
}
@media (min-width: 1600px) {
  .container,
  .container-sm,
  .container-md,
  .container-lg,
  .container-xl,
  .container-fluid {
    --grid-margin: var(--grid-tv-margin);
  }
  .row {
    --grid-gutter: var(--grid-tv-gutter);
  }
  .container,
  .container-sm,
  .container-md,
  .container-lg,
  .container-xl {
    --grid-maxwidth: calc(var(--grid-breakpoint-xl) - var(--grid-tv-margin));
  }
  .col-xl {
    flex: 1 0 0%;
    min-width: 8.3333333333%;
  }
  .col-xl-auto {
    flex: 0 0 auto;
    width: auto;
  }
  .col-xl-1 {
    flex-basis: 8.3333333333%;
    max-width: 8.3333333333%;
  }
  .col-xl-2 {
    flex-basis: 16.6666666667%;
    max-width: 16.6666666667%;
  }
  .col-xl-3 {
    flex-basis: 25%;
    max-width: 25%;
  }
  .col-xl-4 {
    flex-basis: 33.3333333333%;
    max-width: 33.3333333333%;
  }
  .col-xl-5 {
    flex-basis: 41.6666666667%;
    max-width: 41.6666666667%;
  }
  .col-xl-6 {
    flex-basis: 50%;
    max-width: 50%;
  }
  .col-xl-7 {
    flex-basis: 58.3333333333%;
    max-width: 58.3333333333%;
  }
  .col-xl-8 {
    flex-basis: 66.6666666667%;
    max-width: 66.6666666667%;
  }
  .col-xl-9 {
    flex-basis: 75%;
    max-width: 75%;
  }
  .col-xl-10 {
    flex-basis: 83.3333333333%;
    max-width: 83.3333333333%;
  }
  .col-xl-11 {
    flex-basis: 91.6666666667%;
    max-width: 91.6666666667%;
  }
  .col-xl-12 {
    flex-basis: 100%;
    max-width: 100%;
  }
}
